org.apache.commons.cli

## Class AmbiguousOptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException
      - - org.apache.commons.cli.UnrecognizedOptionException
        - - org.apache.commons.cli.AmbiguousOptionException

All Implemented Interfaces:
  Serializable

    public class AmbiguousOptionException
    extends UnrecognizedOptionException

Exception thrown when an option can't be identified from a partial name.

Since:
  1.3
Version:
  $Id: AmbiguousOptionException.java 1669814 2015-03-28 18:09:26Z britter $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AmbiguousOptionException(String option, Collection<String> matchingOptions)` Constructs a new AmbiguousOptionException.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `getMatchingOptions()` Returns the options matching the partial name.

### Methods inherited from class org.apache.commons.cli.UnrecognizedOptionException

`getOption`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AmbiguousOptionException

    public AmbiguousOptionException(String option,
                                    Collection<String> matchingOptions)

Constructs a new AmbiguousOptionException.

Parameters:
  `option` - the partial option name
  `matchingOptions` - the options matching the name

### Method Detail

#### getMatchingOptions

    public Collection<String> getMatchingOptions()

Returns the options matching the partial name.

Returns:
  a collection of options matching the name